<!DOCTYPE html>
<html lang="en" th:replace="common/masterpage :: masterpage(~{}, ~{::page}, ~{})" xmlns:th="http://www.thymeleaf.org">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <div class="ui main container" th:fragment="page">
    <h2 class="ui header">
      <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_PROPERTIES}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
      <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_PROPERTIES}}"></span>
    </h2>
    <div th:if="${not #lists.isEmpty(properties)}">
      <table class="ui table" id="properties" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
        <thead>
          <tr>
            <th scope="col" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_PROPERTY}}"></th>
          </tr>
        </thead>
        <tbody>
          <tr th:each="property : ${properties}">
            <td><a th:text="${property.name}" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_PROPERTIES_UPDATE} + '/' + ${property.id}}"></a></td>
          </tr>
        </tbody>
      </table>
    </div>
    <br />
    <div th:replace="common/fragments/modal :: modal(medium,'')"></div>
    <th:block th:replace="common/fragments/form :: actionbuttons(icon1 = null,
                                                                 icon1text = null,
                                                                 icon1url = null,
                                                                 icon2 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_NEW},
                                                                 icon2text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NEW},
                                                                 icon2url = ${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_PROPERTIES_CREATE},
                                                                 )" />
  </div>
</body>
</html>